#
# spec file for package ganglia-monitor-core (Version 2.5.4)
#
# Copyright (c) 2003 SuSE Linux AG, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://www.suse.de/feedback/
#

# neededforbuild  rrdtool
# usedforbuild    aaa_base acl attr bash bind-utils bison bzip2 coreutils cpio cpp cvs cyrus-sasl db devs diffutils e2fsprogs file filesystem fillup findutils flex gawk gdbm-devel glibc glibc-devel glibc-locale gpm grep groff gzip info insserv kbd less libacl libattr libgcc libstdc++ libxcrypt m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-devel pam-modules patch permissions popt ps rcs readline sed sendmail shadow strace syslogd sysvinit tar texinfo timezone unzip util-linux vim zlib zlib-devel autoconf automake binutils cracklib gcc gdbm gettext libtool perl rpm rrdtool

Name:         ganglia-monitor-core
URL:          http://ganglia.sourceforge.net
Summary:      Scalable distributed monitoring system
Version:      2.5.4
Release:      50
License:      Other License(s), see package
Group:        System/Monitoring
Source:       ganglia-monitor-core-%{version}.tar.bz2
Source1:      ganglia_docs.tar.bz2
Source2:      ganglia-webfrontend-2.5.4.tar.bz2
Prefix:       /usr
Patch:        ganglia-monitor-core-%{version}-init.dif
Patch1:       includefiles.patch
Patch2:       ganglia-monitor-core-%{version}-pageshift.patch
Patch3:       ganglia-monitor-core-umask.patch
Patch4:       ganglia-monitor-core-hashval.patch
BuildRoot:    %{_tmppath}/%{name}-%{version}-build
%package -n ganglia-webfrontend
Summary:      Scalable distributed monitoring system
Group:        System/Monitoring
Requires:     ganglia-monitor-core, http_daemon
%package devel
Summary:      Libraries and header files for Ganglia
Group:        System/Monitoring

%description
Ganglia is a scalable distributed monitoring system for
high-performance computing systems such as clusters and Grids. It is
based on a hierarchical design targeted at federations of clusters. It
relies on a multicast-based listen/announce protocol to monitor state
within clusters and uses a tree of point-to-point connections amongst
representative cluster nodes to federate clusters and aggregate their
state. It leverages widely used technologies such as XML for data
representation, XDR for compact, portable data transport, and RRDtool
for data storage and visualization.



Authors:
--------
    Matt Massie <massie@cs.berkeley.edu>
    Preston Smith <psmith@physics.purdue.edu>
    Steve Wagner
    Federico Sacerdoti <fds@sdsc.edu>


%description -n ganglia-webfrontend
Ganglia is a scalable distributed monitoring system for
high-performance computing systems such as clusters and Grids. It is
based on a hierarchical design targeted at federations of clusters. It
relies on a multicast-based listen/announce protocol to monitor state
within clusters and uses a tree of point-to-point connections amongst
representative cluster nodes to federate clusters and aggregate their
state. It leverages widely used technologies such as XML for data
representation, XDR for compact, portable data transport, and RRDtool
for data storage and visualization.



Authors:
--------
    Matt Massie <massie@cs.berkeley.edu>
    Preston Smith <psmith@physics.purdue.edu>
    Steve Wagner
    Federico Sacerdoti <fds@sdsc.edu>


%description devel
Ganglia is a scalable distributed monitoring system for
high-performance computing systems such as clusters and Grids. It is
based on a hierarchical design targeted at federations of clusters. It
relies on a multicast-based listen/announce protocol to monitor state
within clusters and uses a tree of point-to-point connections amongst
representative cluster nodes to federate clusters and aggregate their
state. It leverages widely used technologies such as XML for data
representation, XDR for compact, portable data transport, and RRDtool
for data storage and visualization.



Authors:
--------
    Matt Massie <massie@cs.berkeley.edu>
    Preston Smith <psmith@physics.purdue.edu>
    Steve Wagner
    Federico Sacerdoti <fds@sdsc.edu>

%prep 
%setup -q -a 1 -a 2
%patch0
#%patch1
%patch2
%patch3
%patch4
##
## BUILD
##

%build
autoreconf --install --force
./configure --with-gmetad --prefix=/usr --libdir=%_libdir  --enable-gexec
make

%install
install -d  $RPM_BUILD_ROOT/etc/init.d
install -d  $RPM_BUILD_ROOT/usr/sbin
install -m 0755 gmond/gmond.init $RPM_BUILD_ROOT/etc/init.d/gmond
install -m 0755 gmetad/gmetad.init $RPM_BUILD_ROOT/etc/init.d/gmetad
(
cd $RPM_BUILD_ROOT/usr/sbin;
ln -sf ../../etc/init.d/gmond rcgmond
ln -sf ../../etc/init.d/gmetad rcgmetad
)
install -d  $RPM_BUILD_ROOT/usr/include/ganglia
install -d  $RPM_BUILD_ROOT/var/lib/ganglia/rrds
install -m 0644  gmond/gmond.conf $RPM_BUILD_ROOT/etc/gmond.conf
install -m 0644 gmetad/gmetad.conf $RPM_BUILD_ROOT/etc/gmetad.conf
make DESTDIR=$RPM_BUILD_ROOT install 
install -d  $RPM_BUILD_ROOT/srv/www/htdocs/ganglia-webfrontend
cp -a ganglia-webfrontend-%{version}/* $RPM_BUILD_ROOT/srv/www/htdocs/ganglia-webfrontend/

%post 
%{fillup_and_insserv -f gmond gmetad}

%preun
%insserv_cleanup
##
## FILES
##

%files
%defattr(-,root,root)
%doc ganglia_docs/*
%attr(0500,root,root)/usr/bin/gmetric
%attr(0555,root,root)/usr/bin/gstat
%attr(0755,nobody,nobody)/var/lib/ganglia/rrds
%dir /var/lib/ganglia
/usr/sbin/gmond
/usr/sbin/gmetad
/usr/sbin/rcgmond
/usr/sbin/rcgmetad
/etc/init.d/gmond
/etc/init.d/gmetad
%config /etc/gmond.conf
%config /etc/gmetad.conf
/usr/%_lib/libganglia.so.*

%files devel
/usr/include/ganglia.h
%dir /usr/include/ganglia
/usr/include/ganglia/*
/usr/%_lib/libganglia.so
/usr/%_lib/libganglia.a
/usr/%_lib/libganglia.la

%files -n ganglia-webfrontend
%dir /srv/www/htdocs/ganglia-webfrontend
/srv/www/htdocs/ganglia-webfrontend/*

%clean

%__rm -rf $RPM_BUILD_ROOT

%changelog -n ganglia-monitor-core
* Sat Nov 15 2003 - nashif@suse.de
- Security Fix for remote denial-of-service attack. (#33006)
* Tue Sep 23 2003 - nashif@suse.de
- Set correct umask to prevent work writable rrd files (#30493)
* Mon Aug 11 2003 - nashif@suse.de
- Update to version 2.5.4
* Thu Jun 12 2003 - nashif@suse.de
- Fixed file list
* Fri May 16 2003 - nashif@suse.de
- use getpagesize() instead of PAGE_SHIFT to make it compile on ia64
- Added missing files
* Thu May 15 2003 - nashif@suse.de
- Initial version (2.5.3)
